#include<iostream>
#include<algorithm>
#include<cmath>

using namespace std;

int n,x,a,nl,nd,r;

int main()
{
    nl=2e9;
    nd=-2e9;
    cin>>n>>x;
    if(n==1)
    {
        cin>>a;
        cout<<a-x;
        return 0;
    }
    while(n--)
    {
        cin>>a;
        nl=min(nl,a);
        nd=max(nd,a);
    }
    if(abs(x-nl)<abs(nd-x))
    {
        r=abs(nd-x);
        if(x>nl) r+=2*abs(x-nl);
    }
    else
    {
        r=abs(nl-x);
        if(x<nd) r+=2*abs(x-nd);
    }
    cout<<r<<endl;
    return 0;
}